<script setup>
import {ref} from "vue";

const emits = defineEmits(['success']);
const show = ref(false);

const success = (e) => {
    show.value = false;
    emits('success', e);
}
</script>

<template>
    <view @longpress="show=true">
        <slot></slot>
    </view>

    <tui-actionsheet
        v-bind="$attrs"
        :show="show"
        @click="success"
        @cancel="show=false">
    </tui-actionsheet>
</template>

<style scoped>

</style>
